Name:          ocaml-result
Version:       1.5
Release:       1mamba
Summary:       Compatibility Result module
Group:         System/Libraries/OCaml
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/janestreet/result
## GITSOURCE https://github.com/janestreet/result.git 1.3
Source:        https://github.com/janestreet/result.git/%{version}/result-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: ocaml >= 4.09.0-4mamba
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Compatibility Result module.


%prep
%setup -q -n result-%{version}

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall INSTALL_ARGS="--prefix=%{_datadir} --libdir=%{_libdir}/ocaml"

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/result
%{_libdir}/ocaml/result/*
%dir %{_datadir}/doc/result
%{_datadir}/doc/result/*

%changelog
* Sun Mar 22 2020 Automatic Build System <autodist@mambasoft.it> 1.5-1mamba
- automatic version update by autodist

* Mon Dec 30 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4-2mamba
- rebuilt with ocaml 4.09.0-4mamba

* Thu Aug 29 2019 Automatic Build System <autodist@mambasoft.it> 1.4-1mamba
- automatic version update by autodist

* Tue May 07 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3-1mamba
- package created using the webbuild interface
